CatalogCollections
Set collection products
Replaces the manual product assignments for a static collection. Use product IDs only on write operations.
PUT
/v1/catalog/collections/{collectionId}/productsReplaces the manual product assignments for a static collection. Use product IDs only on write operations.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
collectionId*string
Identifier of the collection.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/catalog/collections/7204558912004325301/products" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "example" ] }'Empty